{% extends "template/app.twig" %}

{% block meta %}
    {% set meta = {'keywords': 'Oportunidades'} %}
    {{ parent() }}
{% endblock %}

{% block link %}
    {{ parent() }}
{% endblock %}

{% block header %}
    {{ parent() }}
{% endblock %}

{% block aside %}
    {{ parent() }}
{% endblock %}

{% block content %}
    {{ parent() }}

    {% include "template/partial/section/opportunity_edit.twig" %}
    {% include "template/partial/section/opportunity_follow.twig" %}

    {% include "template/partial/modal/contact.twig" %}
    {% include "template/partial/modal/search_product.twig" %}
    {% include "template/partial/modal/create_integrator.twig" %}
    {% include "template/partial/modal/close_opportunity.twig" %}
    {% include "template/partial/modal/change_user_opportunity.twig" %}
    {% include "template/partial/modal/create_three_business.twig" %}
    {% include "template/partial/modal/add_number_serials.twig" %}
    {% include "template/partial/modal/opportunity_change_client.twig" %}

{% endblock %}

{% block footer %}
    {{ parent() }}
{% endblock %}

{% block script %}
    {{ parent() }}

<script>
	$(document).ready(function() {

		$(".sf-op").click(function() {
			var json = objectifyForm($('#form-op').serializeArray());

			/////////

			$.ajax({
				type: "PUT",
				url: "../editarOpportunity/{{opportunity.opportunity_id}}",
				data: json,
				dataType: "JSON",
				success: function(data) {
					console.log(data);
					notify('Informacion registrada correctamente!', 'success');
					setTimeout(function(){ window.location.reload(); }, 1000);
				},
				error: function(data) {
					console.log(data);

					notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
				}
			});

		});

		/******************************************************************/

		$(".opclose").click(function() {
			if($("#milestone_title").val()==""){
				notify('Campo Titulo es requerido!', 'warning');
				$( ".fopc1Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopc1Has" ).removeClass( "has-warning" );
			}

			if($("#milestone_detail").val()==""){
				notify('Campo Detalle es requerido!', 'warning');
				$( ".fopc2Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopc2Has" ).removeClass( "has-warning" );
			}

			if($("#milestone_date").val()==""){
				notify('Campo Fecha es requerido!', 'warning');
				$( ".fopc3Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopc3Has" ).removeClass( "has-warning" );
			}

			if($("#milestone_status").val()==""){
				notify('Campo Estado es requerido!', 'warning');
				$( ".fopc4Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopc4Has" ).removeClass( "has-warning" );
			}


			var json = objectifyForm($('#form-cop').serializeArray());

			//alert(JSON.stringify(json));

			/////////

			$.ajax({
				type: "PUT",
				url: "../cerrarOpportunity/{{opportunity.opportunity_id}}",
				data: json,
				dataType: "JSON",
				success: function(data) {
					console.log(data);
					$("#modalDefault").modal('hide');

					swal("Oportunidad Cerrada", "Volviendo al listado...", "success");

					setTimeout(function(){ window.location.href="../listado/ok"; }, 2000);
				},
				error: function(data) {
					console.log(data);

					notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
				}
			});
		});

		/******************************************************************/

		$(".opwin").click(function() {

			if($("#wmilestone_detail").val()==""){
				notify('Campo Detalle es requerido!', 'warning');
				$( ".fopc2Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopc2Has" ).removeClass( "has-warning" );
			}

			if($("#wmilestone_date").val()==""){
				notify('Campo Fecha es requerido!', 'warning');
				$( ".fopc3Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopc3Has" ).removeClass( "has-warning" );
			}

			var json = objectifyForm($('#form-wop').serializeArray());

			//alert(JSON.stringify(json));

			/////////

			$.ajax({
				type: "PUT",
				url: "../ganarOpportunity/{{opportunity.opportunity_id}}",
				data: json,
				dataType: "JSON",
				success: function(data) {
					console.log(data);
					$("#ganarOp").modal('hide');

					swal("Oportunidad Ganada", "Volviendo al listado...", "success");

					setTimeout(function(){
    
            window.location.href = "{{path_for('sale-edit', {id: opportunity.opportunity_id})}}";

          }, 2000);
				},
				error: function(data) {
					console.log(data);

					notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
				}
			});
		});

		/******************************************************************/

		$(document).on("click", ".contactDelete", function() {
			var id_contacto_oportunidad = $(this).data("value");
			var total_contactos = $("#total_contacts").val();

			if(total_contactos==1){
				notify('La oportunidad no puede quedar sin contactos, agregue nuevos para eliminar el actual.', 'warning');
				return false;
			}

			swal({
				title: "Está seguro de eliminar el contacto?",
				text: "Se eliminará del listado de la oportunidad!",
				type: "warning",
				showCancelButton: true,
				confirmButtonColor: "#DD6B55",
				confirmButtonText: "Si, eliminar!",
				cancelButtonText: "No, cancelar",
				closeOnConfirm: false
			}, function(isConfirm){
				if (isConfirm) {

					$.ajax({
						type: "DELETE",
						url: "../oportunidadEliminarContacto/",
						data: {idcontactooportunidad: id_contacto_oportunidad},
						dataType: "JSON",
						success: function(data) {
							console.log(data);

							$("#ocid-"+id_contacto_oportunidad).fadeOut();

							swal.close();
						},
						error: function(data) {
							console.log(data);
							notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
						}
					});
				}
			});

		});

		/******************************************************************/
                $('.ganarOp').click(function() {
                    /*var bool = true;
                    $('.check-op-win').each(function(){
                        var element = $('#'+$(this).data('id'));
                        if($(this).val() == 0) {
                            element.css({background: 'rgba(255,193,7,0.1)', border: '1px solid #FFC107'});
                            if(bool) {
                                $('html, body').animate({
                                    scrollTop: element.offset().top - 100
                                }, 2000);
                            }
                            bool = false;
                        } else {
                            element.css({background: '', border: '1px solid #ccc'});
                        }
                    });

                    if(bool) {
                        $('#ganarOp').modal('show');
                    } else {
                        notify('Revisá los número de seriales y las fechas de vencimientos de las licencias que están resaltadas', 'warning');
                    }*/

					$('#ganarOp').modal('show');
                });
		/******************************************************************/

		/******************************************************************/

		$(".activeOp").click(function() {

			$.ajax({
				type: "PUT",
				url: "../activarOpportunity/{{opportunity.opportunity_id}}",
				data:{ mclientid: "{{opportunity.client_id}}" },
				dataType: "JSON",
				success: function(data) {
					console.log(data);

					swal("Oportunidad Activa", "Refrescando información...", "success");

					setTimeout(function(){ window.location.reload(); }, 1500);
				},
				error: function(data) {
					console.log(data);
					notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
				}
			});
		});

		/******************************************************************/

		var dataSource3 = new Bloodhound({
			datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
			queryTokenizer: Bloodhound.tokenizers.whitespace,
			prefetch: {
				url: "{{base_url()}}/oportunidad/jsonContactos/{{opportunity.client_id}}"
			}
		});

		$('.typecontacts').typeahead({
			hint: true,
			highlight: true,
			minLength: 1
		},
		{
			displayKey: 'name',
			valueKey: 'id',
			name:'contacts',
			source: dataSource3.ttAdapter()
		}).bind("typeahead:selected", function(obj, datum, name) {
			if(this.id=="contact_id"){
				$("#contact_id_value").val(datum.id);

				$.ajax({
					type: "GET",
					url: "../infoContacto/"+datum.id,
					dataType: "JSON",
					success: function(data) {
						console.log(data);

						$("#contact_name").val(data["contact_name"]);
						$("#contact_lastname").val(data["contact_lastname"]);
						$("#contact_email").val(data["contact_email"]);
						$("#contact_phone").val(data["contact_phone"]);
						$("#contact_celphone").val(data["contact_celphone"]);
						$("#contact_type").val(data["contact_type"]);

						$('#contact_area').val($.trim(data["contact_area"]));
        				$('#contact_area').trigger("chosen:updated");
					},
					error: function(data) {
						console.log(data);
						notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
					}
				});
			}
		});

		/******************************************************************/

		$(".sf-opcn").click(function() {
			var json = objectifyForm($('#form-ccop').serializeArray());

			/////////

			if($("#contact_name").val()==""){
				notify('Campo Nombre Contacto es requerido!', 'warning');
				$( ".fopc1Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".f1Has" ).removeClass( "has-warning" );
			}

			if($("#contact_lastname").val()==""){
				notify('Campo Apellido Contacto es requerido!', 'warning');
				$( ".fopc2Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".f2Has" ).removeClass( "has-warning" );
			}

			if($("#contact_email").val()==""){
				notify('Campo Email es requerido!', 'warning');
				$( ".fopc3Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".f3Has" ).removeClass( "has-warning" );
			}

			if($("#contact_phone").val()==""){
				notify('Campo Teléfono Contacto es requerido!', 'warning');
				$( ".fopc4Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".f4Has" ).removeClass( "has-warning" );
			}

			////////

			$.ajax({
				type: "POST",
				url: "../crearContacto/{{opportunity.opportunity_id}}/{{opportunity.client_id}}",
				data: json,
				dataType: "JSON",
				success: function(data) {
					console.log(data);

					notify('Informacion registrada correctamente!', 'success');

					setTimeout(function(){ window.location.reload(); }, 1000);
				},
				error: function(data) {
					console.log(data);

					notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
				}
			});

			$('#form-ccop')[0].reset();

		});

		/******************************************************************/

		$('.edit-odp').click(function() {
			var strAncla="#nuevoproducto"; //id del ancla
			var valueItem = $(this).data('value');


			var name= $("#odp-name-"+valueItem).data("value");
			var detail= $("#odp-detail-"+valueItem).data("value");
			var serial= $("#odp-serial-"+valueItem).data("value");
			var sku= $("#odp-sku-"+valueItem).data("value");
			var cantidad= $("#odp-qty-"+valueItem).data("value");
			var precio= $("#odp-price-"+valueItem).data("value");
			var type= $("#odp-type-"+valueItem).data("value");
			var enddate= $("#odp-enddate-"+valueItem).data("value");

			var modena= $("#odp-moneda-"+valueItem).val();
			var father= $("#odp-father-"+valueItem).val();
			var renovation= $("#odp-renovation-"+valueItem).data("value");

			$('#opportunity_detail_father').children('option[value="' + $.trim(valueItem) + '"]').attr('disabled', true);

			//////

			if(renovation=="Renovacion"){
				$('#opportunity_detail_serial').removeAttr('readonly');
			}else{
				$('#opportunity_detail_serial').attr('readonly', 'readonly');
			}

			$("#opportunity_detail_description").val($.trim(name));
			$("#opportunity_detail_detail").val($.trim(detail));
			$("#opportunity_detail_productid").val($.trim(sku));
			$('#opportunity_detail_serial').val($.trim(serial));

			var typeFinal = $.trim(type);
			if(typeFinal=="HW" || typeFinal=="HD" || typeFinal=="HARD"){ typeFinal="HW"; }
			if(typeFinal=="SW" || typeFinal=="SD" || typeFinal=="SOFT"){ typeFinal="SW"; }

			$('#opportunity_detail_type').selectpicker('val', typeFinal);
			$('#opportunity_detail_moneda').selectpicker('val', $.trim(modena));
			$('#opportunity_detail_father').selectpicker('val', $.trim(father));

			$("#opportunity_detail_qty").val($.trim(cantidad));
			$("#opportunity_detail_price").val($.trim(precio));

			$('#opportunity_detail_id').val(valueItem);
			$('#opportunity_detail_renovation').val(renovation);

			$('#opportunity_detail_type').attr('disabled', 'disabled');

			if(enddate!=""){
				enddate=enddate.split("-");
				$('#opportunity_detail_enddate').val(enddate[2]+"/"+enddate[1]+"/"+enddate[0]);
			}else{
				$('#opportunity_detail_enddate').val("");
			}

			$("#form-opp").attr("method", "put");
			//////

			$('body,html').stop(true,true).animate({
				scrollTop: $(strAncla).offset().top
			},1000);
		});

		/******************************************************************/

		$(".dele-odp").click(function() {
			var opportunity_detail_id = $(this).data("value");

			swal({
				title: "Está seguro de eliminar el detalle?",
				text: "No podrá recuperarlo despúes!",
				type: "warning",
				showCancelButton: true,
				confirmButtonColor: "#DD6B55",
				confirmButtonText: "Si, eliminar!",
				cancelButtonText: "No, cancelar",
				closeOnConfirm: false
			}, function(isConfirm){
				if (isConfirm) {

					$.ajax({
						type: "DELETE",
						url: "../oportunidadEliminarDetalle/",
						data: {opdid: opportunity_detail_id, opid: "{{opportunity.opportunity_id}}"},
						dataType: "JSON",
						success: function(data) {
							console.log(data);

							$("#box-odp-"+opportunity_detail_id).fadeOut();

							swal.close();
						},
						error: function(data) {
							console.log(data);
							notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
						}
					});
				}
			});

		});

		/******************************************************************/

		$(".b-dele-opmil").click(function() {
			var milestone_id = $(this).data("value");

			swal({
				title: "Está seguro de eliminar el seguimiento?",
				text: "No podrá recuperarlo despúes!",
				type: "warning",
				showCancelButton: true,
				confirmButtonColor: "#DD6B55",
				confirmButtonText: "Si, eliminar!",
				cancelButtonText: "No, cancelar",
				closeOnConfirm: false
			}, function(isConfirm){
				if (isConfirm) {

					$.ajax({
						type: "DELETE",
						url: "../oportunidadEliminarMilestone/",
						data: {mid: milestone_id},
						dataType: "JSON",
						success: function(data) {
							console.log(data);
							var lastDate = $("#milestone_last_date").val();
							var fecha= $("#opmil-fecha-"+milestone_id).text();

							fecha = $.trim(fecha.replace("Fecha registro", ""));

							if(lastDate!=$.trim(fecha)){
								$("#box-opmil-"+milestone_id).fadeOut();
								swal.close();
							}else{
								window.location.reload();
							}
						},
						error: function(data) {
							console.log(data);
							notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
						}
					});
				}
			});

		});

		/******************************************************************/

		$(".b-estado-opmil").click(function() {
			var milestone_id = $(this).data("value");

			$("#milestone_id_close_f").val(milestone_id);

			var titulo= $("#opmil-titulo-"+milestone_id).text();
			var d = new Date();
			var fecha = d.getDate() + "/" + (d.getMonth()+1) + "/" + d.getFullYear();
			var tipo= $("#opmil-tipo-"+milestone_id).data('value');
			var status= 1;

			//////

			$("#milestone_title_f").val($.trim(titulo));
			$("#milestone_date_f").val($.trim(fecha));
			$('#milestone_type_f').selectpicker('val', $.trim(tipo));
			$('#milestone_status_f').selectpicker('val', $.trim(status));
			$('#milestone_detail_f').val("");

			//////

			$('#modalFollow').modal('show');

			/*swal({
				title: "Está seguro de dar por terminada la tarea?",
				text: "Despúes podrá modificar el seguimiento.",
				type: "warning",
				showCancelButton: true,
				confirmButtonColor: "#DD6B55",
				confirmButtonText: "Si, eliminar!",
				cancelButtonText: "No, cancelar",
				closeOnConfirm: false
			}, function(isConfirm){
				if (isConfirm) {*/

					/*$.ajax({
						type: "PUT",
						url: "../oportunidadEstadoMilestone/",
						data: {mid: milestone_id},
						dataType: "JSON",
						success: function(data) {
							console.log(data);

							$("#b-estado-opmil-"+milestone_id).fadeOut();

							swal.close();
						},
						error: function(data) {
							console.log(data);
							notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
						}
					});
				}
			});*/

		});

		/******************************************************************/

		$('.openFollow').click(function() {
			$("#milestone_title_f").val("");
			$("#milestone_date_f").val("");
			$("#milestone_link_fv").html("");
			$("#milestone_link_f").val("");
			$('#milestone_detail_f').val("");

			$('#milestone_type_f').selectpicker('val', "");

			$('#milestone_id_f').val("");

			$('#modalFollow').modal('show');
		});

		/******************************************************************/

		$('.b-edit-opmil').click(function() {
			//var strAncla="#nuevoseguimiento"; //id del ancla
			var valueItem = $(this).data('value');

			var titulo= $("#opmil-titulo-"+valueItem).text();
			var descripcion= $("#opmil-descripcion-"+valueItem).text();
			var adjunto= $("#opmil-adjunto-"+valueItem).text();
			var fecha= $("#opmil-fecha-"+valueItem).text();
			var usuario= $("#opmil-usuario-"+valueItem).text();
			var tipo= $("#opmil-tipo-"+valueItem).data('value');
			var status= $("#opmil-status-"+valueItem).val();

			fecha = $.trim(fecha.replace("Fecha registro", ""));
			fecha = fecha.split("-");
			fecha = fecha[2]+"/"+fecha[1]+"/"+fecha[0];

			//////

			$("#milestone_title_f").val("");
			$("#milestone_date_f").val($.trim(fecha));
			$("#milestone_link_fv").html($.trim(adjunto));
			$("#milestone_link_f").val($.trim(adjunto));
			$('#milestone_detail_f').val($.trim(descripcion));

			$('#milestone_type_f').selectpicker('val', $.trim(tipo));
			//$('#milestone_status_f').selectpicker('val', $.trim(status));

			$('#milestone_id_f').val(valueItem);
			$("#form-opmil").attr("method", "put");

			//////

			$('#modalFollow').modal('show');

			/*$('body,html').stop(true,true).animate({
				scrollTop: $(strAncla).offset().top
			},1000);*/
		});

		/******************************************************************/

		$(".sf-opmil").click(function() {
			var json = objectifyForm($('#form-opmil').serializeArray());

			/////////

			if($("#milestone_title_f").val()==""){
				notify('Campo Titulo es requerido!', 'warning');
				$( ".fopm1Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopm1Has" ).removeClass( "has-warning" );
			}

			if($("#milestone_date_f").val()==""){
				notify('Campo Fecha es requerido!', 'warning');
				$( ".fopm2Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopm2Has" ).removeClass( "has-warning" );
			}

			if($("#milestone_detail_f").val()==""){
				notify('Campo Detalle es requerido!', 'warning');
				$( ".fopm3Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopm3Has" ).removeClass( "has-warning" );
			}

			if($("#milestone_type_f").val()==""){
				notify('Campo Tipo es requerido!', 'warning');
				$( ".fopm4Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopm4Has" ).removeClass( "has-warning" );
			}

			/*if($("#milestone_status_f").val()==""){
				notify('Campo Estado es requerido!', 'warning');
				$( ".fopm5Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopm5Has" ).removeClass( "has-warning" );
			}*/

			////////

			var lastDate = $( "#milestone_last_date" ).val();
			lastDate = lastDate.split("-");
			lastDate = parseInt(lastDate[0]+""+lastDate[1]+""+lastDate[2]);

			var newDate = $( "#milestone_date_f" ).val();
			newDate = newDate.split("/");
			newDate = parseInt(newDate[2]+""+newDate[1]+""+newDate[0]);

			var nowDate = new Date();
			nowDate = parseInt(nowDate.getFullYear() + "" + ("0" + (nowDate.getMonth() + 1)).slice(-2) + "" + ("0" + (nowDate.getDate())).slice(-2));

                        if($("#milestone_calendar_type_next").is(":checked") && $("#milestone_calendar_detail_next").val() == "") {
                            $("#milestone_calendar_detail_next").parent().addClass( "has-warning" );
                            notify('Campo detalle es requerido!', 'warning');
                            return false;
                        } else {
                            $("#milestone_calendar_detail_next").parent().removeClass( "has-warning" );
                        }

                        if($("#milestone_call_type_next").is(":checked") && $("#milestone_call_detail_next").val() == "") {
                            $("#milestone_call_detail_next").parent().addClass( "has-warning" );
                            notify('Campo detalle es requerido!', 'warning');
                            return false;
                        } else {
                            $("#milestone_call_detail_next").parent().removeClass( "has-warning" );
                        }

                        if($("#milestone_follow_type_next").is(":checked") && $("#milestone_follow_detail_next").val() == "") {
                            $("#milestone_follow_detail_next").parent().addClass( "has-warning" );
                            notify('Campo detalle es requerido!', 'warning');
                            return false;
                        } else {
                            $("#milestone_follow_detail_next").parent().removeClass( "has-warning" );
                        }

			if($("#milestone_calendar_date_next").val()=="" && $("#milestone_call_date_next").val()=="" && $("#milestone_follow_date_next").val()==""){

				if($( "#milestone_last_date" ).val()=="" && newDate<=nowDate){
					swal("Error", "No puede crear un seguimiento sin una actividad futura, por favor complete los datos de la siguiente actividad de la oportunidad.", "warning");
					return false;
				}

				///////

				/*if(newDate<=lastDate){
					swal("Error", "No puede crear un seguimiento sin una actividad futura, por favor complete los datos de la siguiente actividad de la oportunidad.", "warning");
					return false;
				}else{*/
					//if(lastDate<=nowDate && $("#milestone_type_f").val()=="note"){
					if(lastDate<=nowDate){
						swal("Error", "Aún no tiene actividades futuras, por favor adicione los datos de la siguiente actividad de la oportunidad.", "warning");
						return false;
					}
				//}
			}else{
				var newcalendarDate = "";

				if($( "#milestone_calendar_date_next" ).val()!=""){
					newcalendarDate = $( "#milestone_calendar_date_next" ).val();
					newcalendarDate = newcalendarDate.split("/");
					newcalendarDate = parseInt(newcalendarDate[2]+""+newcalendarDate[1]+""+newcalendarDate[0]);
				}

				var newcallDate = "";

				if($( "#milestone_call_date_next" ).val()!=""){
					newcallDate = $( "#milestone_call_date_next" ).val();
					newcallDate = newcallDate.split("/");
					newcallDate = parseInt(newcallDate[2]+""+newcallDate[1]+""+newcallDate[0]);
				}

				var newfollowDate = "";
				if($( "#milestone_follow_date_next" ).val()!=""){
					newfollowDate = $( "#milestone_follow_date_next" ).val();
					newfollowDate = newfollowDate.split("/");
					newfollowDate = parseInt(newfollowDate[2]+""+newfollowDate[1]+""+newfollowDate[0]);
				}

				//////////////

				if($( "#milestone_last_date" ).val()==""){
					lastDate=nowDate;
				}

				var sinFuturo = true;

				if((newcalendarDate!="" && newcalendarDate>lastDate)){
					sinFuturo = false;
				}

				if((newcallDate!="" && newcallDate>lastDate)){
					sinFuturo = false;
				}

				if((newfollowDate!="" && newfollowDate>lastDate)){
					sinFuturo = false;
				}

				if(sinFuturo){
					swal("Error", "Debes registrar una actividad futura para la oportunidad.", "warning");
					return false;
				}

			}

			////////

			if($("#milestone_id_f").val()!=""){
				$.ajax({
					type: "PUT",
					url: "../editarMilestone/{{opportunity.opportunity_id}}/{{opportunity.client_id}}",
					data: json,
					dataType: "JSON",
					success: function(data) {
						console.log(data);

						notify('Informacion registrada correctamente!', 'success');

						setTimeout(function(){ window.location.reload(); }, 500);
					},
					error: function(data) {
						console.log(data);

						notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
					}
				});
			}else{
				$.ajax({
					type: "POST",
					url: "../crearMilestone/{{opportunity.opportunity_id}}/{{opportunity.client_id}}",
					data: json,
					dataType: "JSON",
					success: function(data) {
						console.log(data);

						notify('Informacion registrada correctamente!', 'success');

						setTimeout(function(){ window.location.reload(); }, 1000);
					},
					error: function(data) {
						console.log(data);

						notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
					}
				});
			}
		});

		/******************************************************************/

		$(".sf-opp").click(function() {
			var json = objectifyForm($('#form-opp').serializeArray());

			/////////

			if($("#opportunity_detail_description").val()==""){
				notify('Campo Nombre Producto es requerido!', 'warning');
				$( ".fopp1Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopp1Has" ).removeClass( "has-warning" );
			}

			if($("#opportunity_detail_moneda").val()==""){
				notify('Campo Tipo Moneda es requerido!', 'warning');
				$( ".fopp2Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopp2Has" ).removeClass( "has-warning" );
			}

			if($("#opportunity_detail_qty").val()==""){
				notify('Campo Cantidad es requerido!', 'warning');
				$( ".fopp3Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopp3Has" ).removeClass( "has-warning" );
			}

			if($("#opportunity_detail_price").val()==""){
				notify('Campo Precio es requerido!', 'warning');
				$( ".fopp4Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopp4Has" ).removeClass( "has-warning" );
			}

			/*if($("#opportunity_detail_renovation").val()=="Renovacion" && $("#opportunity_detail_serial").val()=="" && $("#opportunity_detail_father").val()=="0"){
				notify('Debe incluir un numero de serial, para el producto en renovación!', 'warning');
				$( ".fopp5Has" ).addClass( "has-warning" );
				return false;
			}else{
				$( ".fopp5Has" ).removeClass( "has-warning" );
			}*/


			if($("#opportunity_detail_type").val()=="SaaS" || $("#opportunity_detail_type").val()=="Service"){

				//if($("#opportunity_detail_father").val()=="0" && $("#opportunity_detail_serial").val()=="" && $("#opportunity_detail_renovation").val()=="Renovacion"){
				if($("#opportunity_detail_father").val()=="0" && $("#opportunity_detail_serial").val()==""){
					notify('Debe incluir un número(s) de serial, para el producto!', 'warning');
					$( ".fopp5Has" ).addClass( "has-warning" );
					return false;
				}else{
					$( ".fopp5Has" ).removeClass( "has-warning" );
				}

				////////////////////

				//if($("#opportunity_detail_father").val()=="0" && $("#opportunity_detail_enddate").val()=="" && $("#opportunity_detail_renovation").val()=="Renovacion"){
				if($("#opportunity_detail_father").val()=="0" && $("#opportunity_detail_enddate").val()==""){
					notify('Debe incluir una fecha limite de vencimiento!', 'warning');
					$( ".fopp6Has" ).addClass( "has-warning" );
					return false;
				}else{
					$( ".fopp6Has" ).removeClass( "has-warning" );
				}

				//////////////////////////////////////////////
				if($("#opportunity_detail_productid").val()=="FTNT-COT"){
					if($("#opportunity_detail_enddate").val()==""){
						notify('Debe incluir una fecha limite de vencimiento!', 'warning');
						$( ".fopp6Has" ).addClass( "has-warning" );
						return false;
					}else{
						$( ".fopp6Has" ).removeClass( "has-warning" );
					}

					if($("#opportunity_detail_serial").val()==""){
						notify('Debe incluir número(s) de serial, para el producto!', 'warning');
						$( ".fopp5Has" ).addClass( "has-warning" );
						return false;
					}else{
						$( ".fopp5Has" ).removeClass( "has-warning" );
					}
				}else{
					var cant_seriales = (($("#opportunity_detail_serial").val()).split(',')).length;

					var seriales_registro = $("#opportunity_detail_qty").val() % cant_seriales;

					if(seriales_registro>0){
						notify('La cantidad de seriales debe ser un divisor exacto de la cantidad creada!', 'warning');
						return false;
					}
				}
			}
			////////

			if($("#opportunity_detail_id").val()!=""){
				$.ajax({
					type: "PUT",
					url: "../editarDetalle/{{opportunity.opportunity_id}}",
					data: json,
					dataType: "JSON",
					success: function(data) {
						console.log(data);

						notify('Informacion registrada correctamente!', 'success');

						setTimeout(function(){ window.location.reload(); }, 1000);
					},
					error: function(data) {
						console.log(data);

						notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
					}
				});
			}else{
				$.ajax({
					type: "POST",
					url: "../crearDetalle/{{opportunity.opportunity_id}}",
					data: json,
					dataType: "JSON",
					success: function(data) {
						console.log(data);

						notify('Informacion registrada correctamente!', 'success');

						setTimeout(function(){ window.location.reload(); }, 1000);
					},
					error: function(data) {
						console.log(data);

						notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
					}
				});
			}
		});

		/******************************************************************/

		$(".apply-serials").click(function() {
                    var cant = $("#opportunity_detail_qty").val();
                    var serials = $("#opportunity_detail_serial").val();
                    var product_id = $("#opportunity_detail_productid").val();
                    var s = [];
                    if(serials!=""){
                            serials = serials.split(",");
                    }

                    if(cant!="" && cant>0){
                        var items = '';

                        for(var i=0; i<cant; i++){

                            //var value = "";

                            if(serials[i]){
                                //value = serials[i];
                                s.push(serials[i]);
                            }
                            /*
                            items +='<div class="col-lg-12 col-md-12 col-sm-12 col-sx-12">'+
                                        '<div class="input-group">'+
                                            '<span class="input-group-addon"><i class="zmdi zmdi-labels"></i></span>'+
                                            '<div class="fg-line">	'+
                                                    '<input class="form-control" placeholder="Serial #" name="ns_serial'+i+'" id="ns_serial'+i+'" type="text" value="'+value+'">'+
                                            '</div>'+
                                        '</div>'+
                                    '</div>';
                            */
                        }

                        //if(product_id === "FTNT-COT") {
                            items ='<div class="col-lg-12 col-md-12 col-sm-12 col-sx-12">'+
                                        '<div class="input-group">'+
                                                '<span class="input-group-addon"><i class="zmdi zmdi-labels"></i></span>'+
                                                '<div class="fg-line">	'+
                                                    '<textarea rows="'+cant+'" style="width:100%; height:150px; border:1px solid #ccc;" class="form-control" placeholder="Serial #" name="ns_serial" id="ns_serial">'+s.join("\n")+'</textarea>'+
                                                    '<small class="help-block">Escribir 1(un) serial por renglón</small>'+
                                                '</div>'+
                                        '</div>'+
                                    '</div>';
                        //}
                        $("#addrowserials").html(items);
                        $("#ns_cant").val(cant);

                        $('#modalSerials').modal('show');
                    }else{
                        notify('Debe agregar una cantidad de articulos!', 'warning');
                    }
		});

		/******************************************************************/

		$('.sf-nsop').click(function(){

                    var cant = $("#ns_cant").val();
                    var serials = [];
                    var product_id = $("#opportunity_detail_productid").val();

                    //if(product_id === "FTNT-COT") {
                        var serial = $("#ns_serial").val();
                        serials = serial.trim().split("\n");
                    /*
                    } else {
                        for (var i = 0; i < cant; i++) {
                            var serial = $("#ns_serial" + i).val();

                            if (serial != "") {

                                serials.push(serial);
                            }
                        }
                    }
                    */
                    if (serials.length == 0) {
                        notify('Debe completar al menos un serial o una cantidad de seriales, divisora de la cantidad de productos solicitados!', 'warning');
                        return;
                    }

                    $("#opportunity_detail_serial").val(serials.join(','));
                    $('#modalSerials').modal('hide');
		});

		/******************************************************************/

		$('.userOwner').click(function(){
                    var id = $(this).data('id');
                    var opportunity_id = $('#cuo_op_id').val();

                    var otherUser = $("#add_user option[value='"+id+"']");
                    otherUser.prop("disabled", true);
                    otherUser.trigger('chosen:updated');

                    $('#cuo_us_id').val(id).trigger('chosen:updated');
                    $.ajax({
                        type: 'GET',
                        url:'{{path_for('opportunity-users', {'id': opportunity_id})}}'+opportunity_id,
                        dataType: "JSON",
                        success: function (data) {
                            var ids = [];
                            $.each(data.users, function(k, v){
                                ids.push(v.user_id);
                            });
                            $('#add_user').val(ids).trigger('chosen:updated');
                        },
                        error: function (data) {
                            console.log(data);
                            notify('Ha ocurrido un error, al intentar cargar los usuarios!', 'warning');
                        }
                    });

                    $('#modalOwner').modal('show');
		});

		/******************************************************************/


		/******************************************************************/
                $("#cuo_us_id").change(function(e){
                    e.preventDefault();
                    console.log($(this).val());
                    $("#add_user option").prop("disabled", false).trigger('chosen:updated');

                    var otherUser = $("#add_user option[value='"+$(this).val()+"']");
                    otherUser.prop("selected", false);
                    otherUser.prop("disabled", true);
                    otherUser.trigger('chosen:updated');
                });

		/******************************************************************/

		$(".sf-cconop").click(function() {
			var json = $('#form-cconop').serializeArray();
			/////////

			$.ajax({
				type: "PUT",
				url: "../oportunidadCambiarUsuario/",
				data: json,
				dataType: "JSON",
				success: function(data) {
					console.log(data);
                                        if(data.status == 201) {
                                            $("#user_fullname").text(data.user.user_fullname);
                                            $(".userOwner:first").data('id', data.user.user_id);
                                            console.log($("#add_user option:selected").text());

                                            var ids = [];
                                            $.each($("#add_user option:selected"), function(k, v){
                                                //console.log);
                                                ids.push($(v).text());
                                            });
                                            $("#otherUser").html(ids.join("<br />"));
                                            notify('Informacion registrada correctamente!', 'success');
                                            $('#modalOwner').modal('hide');

                                            //setTimeout(function(){ window.location.reload(); }, 1000);
                                        }

				},
				error: function(data) {
					console.log(data);
					notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
				}
			});
		});

		/////////////////////////

		$(".sf-bpop").click(function() {
			var json = objectifyForm($('#form-bpop').serializeArray());

			if($("#keyword").val()=="" && $("#sku").val()=="" && $("#hardware").val()==""){
				notify('Debe completar al menos un campo de búsqueda!', 'warning');
				return;
			}

			var brand = $("#brand_id_search").val();
			var keyword = $("#keyword").val();
			var sku = $("#sku").val();
			var hardware = $("#hardware").val();

			if(keyword==""){ keyword="-"; }
			if(sku==""){ sku="-"; }
			if(hardware==""){ hardware="-"; }

			/////////

			$.ajax({
				type: "GET",
				url: "../jsonProductos/"+brand+"/"+sku+"/"+keyword+"/"+hardware,
				/*data: json,*/
				dataType: "JSON",
				success: function(data) {
					$('#elementsTable').html("");

					for(var i in data){
						if(data[i].sku && data[i].sku != ""){
							$('#elementsTable').append("<tr onclick=\"productData('"+data[i].description1+"','"+data[i].item+"','"+data[i].type+"','"+data[i].price+"','"+data[i].sku+"');\">"+
													   "<td>"+data[i].brand_name+"</td>"+
													   "<td>"+data[i].family+"</td>"+
													   "<td>"+data[i].item+"</td>"+
													   "<td>"+data[i].type+"</td>"+
													   "<td>"+data[i].sku+"</td>"+
													   "<td>"+data[i].description1+"</td>"+
													   "<td>"+data[i].price+"</td>"+
													   "<td>"+data[i].category+"</td>"+
													   "</tr>");
						}
					}

				},
				error: function(data) {
					console.log(data);
					notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
				}
			});
		});

		/******************************************************************/

		$(".integratorDelete").click(function() {

			swal({
				title: "Está seguro de eliminar el integrador?",
				text: "Se eliminará el integrador de la oportunidad!",
				type: "warning",
				showCancelButton: true,
				confirmButtonColor: "#DD6B55",
				confirmButtonText: "Si, eliminar!",
				cancelButtonText: "No, cancelar",
				closeOnConfirm: false
			}, function(isConfirm){
				if (isConfirm) {
					$.ajax({
						type: "DELETE",
						url: "../eliminarIntegrador/{{opportunity.opportunity_id}}",
						dataType: "JSON",
						success: function(data) {
							console.log(data);

							$("#integradorElement").html('<a data-toggle="modal" href="#modalIntegrator">[ Agregar integrador ]</a>');

							swal.close();
						},
						error: function(data) {
							console.log(data);
							notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
						}
					});
				}
			});

		});

		/******************************************************************/

		$(".sf-aopi").click(function() {
			var integrator_id = $("#opportunity_integrator_user_id_value").val();
			/////////

			$.ajax({
				type: "PUT",
				url: "../crearIntegrador/{{opportunity.opportunity_id}}/"+integrator_id,
				dataType: "JSON",
				success: function(data) {
					console.log(data);
					notify('Informacion registrada correctamente!', 'success');
					$("#modalIntegrator").modal('hide');

					setTimeout(function(){ window.location.reload(); }, 1000);

				},
				error: function(data) {
					console.log(data);
					notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
				}
			});
		});

		/******************************************************************/

		$(".subclientDelete").click(function() {

			swal({
				title: "Está seguro de eliminar la Tercera Empresa?",
				text: "Se eliminará la Tercera Empresa de la oportunidad!",
				type: "warning",
				showCancelButton: true,
				confirmButtonColor: "#DD6B55",
				confirmButtonText: "Si, eliminar!",
				cancelButtonText: "No, cancelar",
				closeOnConfirm: false
			}, function(isConfirm){
				if (isConfirm) {
					$.ajax({
						type: "DELETE",
						url: "../eliminarSubcliente/{{opportunity.opportunity_id}}",
						dataType: "JSON",
						success: function(data) {
							console.log(data);

							$("#subclientElement").html('<a data-toggle="modal" href="#modalSubcliente">[ Agregar Tercera Empresa ]</a>');

							swal.close();
						},
						error: function(data) {
							console.log(data);
							notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
						}
					});
				}
			});

		});

		/******************************************************************/

		$(".sf-aopsc").click(function() {
			var subcliente_id = $("#opportunity_subclient_id_value").val();
			/////////

			$.ajax({
				type: "PUT",
				url: "../crearSubcliente/{{opportunity.opportunity_id}}/"+subcliente_id,
				dataType: "JSON",
				success: function(data) {
					console.log(data);
					notify('Informacion registrada correctamente!', 'success');
					$("#modalSubcliente").modal('hide');

					setTimeout(function(){ window.location.reload(); }, 1000);

				},
				error: function(data) {
					console.log(data);
					notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
				}
			});
		});

		/////////////////////////////
		/////////////////////////////

		var dataSource3 = new Bloodhound({
			datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
			queryTokenizer: Bloodhound.tokenizers.whitespace,
			prefetch: {
				url: "{{base_url()}}/oportunidad/jsonClientes/Integrador",
				cache: false,
				ttl: 1
			}
		});

		$('.typeIntegrator').typeahead({
			hint: true,
			cache: false,
			ttl:60,
			highlight: true,
			minLength: 1
		},
		{
			displayKey: 'name',
			name:'clients',
			valueKey: 'id',
			source: dataSource3.ttAdapter()
		}).bind("typeahead:selected", function(obj, datum, name) {
			if(this.id=="opportunity_integrator_user_id"){
				$("#opportunity_integrator_user_id_value").val(datum.id);
			}
		});

		/////////////////////////////
		/////////////////////////////

		var dataSource4 = new Bloodhound({
			datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
			queryTokenizer: Bloodhound.tokenizers.whitespace,
			prefetch: {
				url: "{{base_url()}}/oportunidad/jsonClientes/Tercera Empresa",
				cache: false
			}
		});

		$('.typeSubClient').typeahead({
			hint: true,
			cache: false,
			ttl:60,
			highlight: true,
			minLength: 1
		},
		{
			displayKey: 'name',
			name:'clients',
			valueKey: 'id',
			source: dataSource4.ttAdapter()
		}).bind("typeahead:selected", function(obj, datum, name) {
			if(this.id=="opportunity_subclient_id"){
				$("#opportunity_subclient_id_value").val(datum.id);
			}
		});


    //////////////////////////////////////////////

    var dataSource10 = new Bloodhound({
      datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
      queryTokenizer: Bloodhound.tokenizers.whitespace,
      prefetch: {
        url: "{{base_url()}}/oportunidad/jsonClientes",
        cache: false,
        ttl: 1
      }
    });

    $('.typeclients').typeahead({
      hint: true,
      cache: false,
      ttl: 60,
      highlight: true,
      minLength: 1
    }, {
      displayKey: 'name',
      name: 'clients',
      valueKey: 'id',
      source: dataSource10.ttAdapter()
    }).bind("typeahead:selected", function(obj, datum, name) {
      if (this.id == "op_client_id") {
        $("#client_id_value").val(datum.id);
        var uriClient = "{{path_for('client-edit', {id: '%s1'})}}";

        $("#companyId").attr("href", uriClient.replace('%s1', datum.id));
        var url = "{{path_for('opportunity-client-contact', {idClient: '%s1'})}}";

        $.ajax({
          type: "GET",
          url: url.replace('%s1', datum.id),
          dataType: "JSON",
          success: function(data) {
            console.log(data);
            $('#op_contact_id_value').html("");
            var elementos = 0;

            for (var i in data) {
              if (data[i].name != "") {
                $('#op_contact_id_value').append("<option value='" + data[i].id + "'>" + data[i].name + "</option>");
                elementos++;
              }
            }

            if (elementos == 0) {
              $('#op_contact_id_value').append("<option value='0'>Sin contactos...</option>");

              $('#link-cliente').attr('href', uriClient.replace('%s1', datum.id));
              $('#sin-contactos').show();
            }

            $('#op_contact_id_value').trigger("chosen:updated");
          }
        });

      }
    });

    /////////////////////////
    $('.btn-opportunity-change-client').click(function() {
      var bool = true;

      if($('#client_id_value').val() === '') {
        $('#client_id_value').parent().addClass('has-error');
        bool = false;
      }

      if($('#op_contact_id_value').val() == null || $('#op_contact_id_value').val() === '' || $('#op_contact_id_value').val() == 0) {
        $('#op_contact_id_value_chosen').css({'border-bottom': '1px solid red'});
        bool = false;
      }

      if(!bool) {
        $('#modal-msg').html('\
            <div class="alert alert-warning alert-dismissible" role="alert">\n\
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">\n\
                    <span aria-hidden="true">×</span>\n\
                </button>\n\
                Completá los campos resaltados\n\
            </div>'
        ).show('slow');
        return;
      }

      $.ajax({
        type: "PUT",
        url: "{{path_for('opportunity-change-client')}}",
        data: $('#form-op-change-client').serializeArray(),
        dataType: "JSON",
        success: function(data) {
          console.log(data);
          if(data.status == 201) {
            var c = data.contact;
            var client_last_businessname = $('#client_last_businessname').val();
            $('#client_id, #client_last_id').val(data.client.client_id);
            $('#client_businessname, #client_last_businessname').val(data.client.client_businessname);
            $('#contact-list').html("<p id='ocid-"+c.opportunity_contact_id+"'>"
              +c.contact_fullname+"<br>"
              +c.contact_type+"<br>"
              +c.contact_phone+"<br>"
              +c.contact_celphone+"<br>"
              +c.contact_email+"<br>"
              +'<a href="#" class="c-red m-t-10 contactDelete" data-value="'+c.opportunity_contact_id+'"><i class="zmdi zmdi-delete"></i> Eliminar</a>'
              +"</p>"
              +'<input type="hidden" value="1" name="total_contacts" id="total_contacts">');

              $('.content-follow').append('\n\
                <div class="m-15 p-15" style="border:1px solid #ccc;" id="box-opmil-'+data.milestone_id+'">\n\
                    <div class="row">\n\
                        <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12">\n\
                            <div class="row">\n\
                                <div class="col-sm-12 m-t-15" style="font-weight:900;" id="opmil-titulo-'+data.milestone_id+'">\n\
                                    Nuevo cliente en oportunidad\n\
                                </div>\n\
                                <div class="col-sm-12 m-t-15" id="opmil-descripcion-'+data.milestone_id+'">\n\
                                    Se cambio el cliente de la oportunidad de '+client_last_businessname+' a '+data.client.client_businessname+'.\n\
                                </div>\n\
                            </div>\n\
                        </div>\n\
                        <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12">\n\
                            <div class="row">\n\
                                <div class="col-sm-12 m-t-15 text-right c-lime" id="opmil-fecha-'+data.milestone_id+'">\n\
                                    Fecha registro {{"now"|date("Y-m-d")}}\n\
                                </div>\n\
                                <div class="col-sm-12 m-t-15 text-right c-lime" id="opmil-usuario-'+data.milestone_id+'">\n\
                                    {{user_name()~' '~user_lastname()}}\n\
                                </div>\n\
                                <div class="col-sm-12 m-t-15 text-right c-blue" id="opmil-tipo-'+data.milestone_id+'" data-value="{{opmil.milestone_type}}">\n\
                                    Cambio de etapa\n\
                                </div>\n\
                            </div>\n\
                        </div>\n\
                    </div>\n\
                    <div class="row m-t-15">\n\
                        <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12 text-right"></div>\n\
                        <div class="col-lg-6 col-md-6 col-sm-12 col-sx-12 text-right">\n\
                            <p class="c-green"><i class="zmdi zmdi-check"></i> Realizado</p>\n\
                        </div>\n\
                        <input type="hidden" id="opmil-status-'+data.milestone_id+'" name="opmil-status-'+data.milestone_id+'" value="0" />\n\
                    </div>\n\
                </div>');


			console.log(data);
			notify('Informacion registrada correctamente!', 'success');
			$('#modalOpportunityClient').modal('hide');

			setTimeout(function(){ window.location.reload(); }, 1000);

          }
        }
      });
    });
    /////////////////////////
    $('#client_id_value').change(function(){
      $(this).parent().removeClass('has-error');
      if($('#op_contact_id_value').val() > 0) {
        $('#modal-msg').hide();
      }
    });
    /////////////////////////
    $('#op_contact_id_value').change(function(){
      $('#op_contact_id_value_chosen').css({'border-bottom': ''});
      if($('#client_id_value').val() != '') {
        $('#modal-msg').hide();
      }
    });
    /////////////////////////
    $('#modalOpportunityClient').on('hidden.bs.modal', function () {
      $('#op_client_id').val('');
      $('#client_id_value').parent().removeClass('has-error');
      $('#op_contact_id_value_chosen').css({'border-bottom': ''});
      $('#op_contact_id_value').html("");
      $('#op_contact_id_value').trigger("chosen:updated");
      $('#modal-msg').hide();
    });
    /////////////////////////


		 //Date
		if ($('.milestoneCurrent')[0]) {
			$('.milestoneCurrent').datetimepicker({
				format: 'DD/MM/YYYY',
				maxDate: moment(),
				daysOfWeekDisabled: [0,6],
				locale: moment.locale('es')
			});
		}
		if ($('.milestoneNext')[0]) {
			$('.milestoneNext').datetimepicker({
				format: 'DD/MM/YYYY',
				minDate: moment().add(1, 'days'),
				daysOfWeekDisabled: [0,6]	,
				locale: moment.locale('es')
			});
		}

		////////////////////////////

		/*
     * Calendar Widget
     */
    	if($('#calendar-op')[0]) {

			(function(){
				$('#cw-body').fullCalendar({
					contentHeight: 'auto',
					theme: true,
					header: {
						right: 'next',
						center: 'title, ',
						left: 'prev'
					},
					editable: true,
					locale: 'es',
					events: [
					{% for opmil in milestone %}
						{
							title: '{{opmil.milestone_title}}',
							start: '{{opmil.milestone_date}}',
							className: '{% if opmil.milestone_status=="0" %}bgm-orange{% else %}bgm-bluegray{% endif %}',
						},
					{% endfor %}
					],
					eventMouseover: function(calEvent, jsEvent) {
						var tooltip = '<div class="tooltipevent" style="width:100px;padding:10px;background:#f4f4f4;position:absolute;z-index:10001;">' + calEvent.title + '</div>';
						var $tooltip = $(tooltip).appendTo('body');

						$(this).mouseover(function(e) {
							$(this).css('z-index', 10000);
							$tooltip.fadeIn('500');
							$tooltip.fadeTo('10', 1.9);
						}).mousemove(function(e) {
							$tooltip.css('top', e.pageY + 10);
							$tooltip.css('left', e.pageX + 20);
						});
					},

					eventMouseout: function(calEvent, jsEvent) {
						$(this).css('z-index', 8);
						$('.tooltipevent').remove();
					},


				});
			})();

			//Display Current Date as Calendar widget header
			var mYear = moment().format('YYYY');
			var mDay = moment().format('dddd, MMM D');
			$('#calendar-widget .cwh-year').html(mYear);
			$('#calendar-widget .cwh-day').html(mDay);

		}
	});

	function productData(description1,item,type,price,sku){

		$("#opportunity_detail_description").val(item);
		$("#opportunity_detail_detail").val(description1);
		//$("#opportunity_detail_price").val(price);
		$("#opportunity_detail_productid").val(sku);

		$('#opportunity_detail_father').removeAttr('disabled');

		if(type=="HW" || type=="HD" || type=="HARD"){
			$('#opportunity_detail_type').selectpicker('val', 'HW');
			$('#opportunity_detail_father').attr('disabled','disabled');
		}else if(type=="SW" || type=="SD" || type=="SOFT"){
			$('#opportunity_detail_type').selectpicker('val', 'SW');
		}else if(type=="SaaS"){
			$('#opportunity_detail_type').selectpicker('val', 'SaaS');
		}else if(type=="Service"){
			$('#opportunity_detail_type').selectpicker('val', 'Service');
		}else if(type=="Global" || type=="SG"){
			$('#opportunity_detail_type').selectpicker('val', 'SG');
		}else if(type=="Comodato"){
			$('#opportunity_detail_type').selectpicker('val', 'Comodato');
		}else if(type=="Adv Services"){
			$('#opportunity_detail_type').selectpicker('val', 'Adv Services');
		}

		$('#opportunity_detail_type_hidden').val(type);
		$('#opportunity_detail_type').attr('disabled', 'disabled');
		$("#modalProducts").modal('hide');
	}
</script>

{% endblock %}
